import {Component, EventEmitter, Output} from '@angular/core';
import { Post } from '../post.model';
import { NgForm } from '@angular/forms';
import { PostService } from '../posts.service';

@Component({
	selector: 'app-post-create',
	templateUrl: './post-create.component.html',
	styleUrls: ['./post-create.component.css']
})

export class PostCreateComponent {

	enteredTitle = '';
	enteredContent = '';
	constructor(public postsService: PostService){}

	//@Output() postCreated = new EventEmitter<Post>();
	onAddPost(form: NgForm) {
		//console.log(this.enteredTitle);
		//console.log(this.enteredContent);
		if (form.invalid) {
			return;
		}
		const post: Post = {
			id: '',
			title: form.value.enteredTitle,
			content: form.value.enteredContent
		};
		//console.log("Pressed the button!");
		//this.postCreated.emit(post);
		this.postsService.addPost(form.value.enteredTitle, form.value.enteredContent);
	}
}
